CVEdetails.com the ultimate security vulnerability data source
(e.g.: CVE-2009-1234 or 2010-1234 or 20101234)
Log In   Register
Vulnerability Feeds & WidgetsNew   www.itsecdb.com  

Vulnerability Details : CVE-2007-5268

pngrtran.c in libpng before 1.0.29 and 1.2.x before 1.2.21 use (1) logical instead of bitwise operations and (2) incorrect comparisons, which might allow remote attackers to cause a denial of service (crash) via a crafted PNG image.
Publish Date : 2007-10-08 Last Update Date : 2015-11-10
Search Twitter   Search YouTube   Search Google

- CVSS Scores & Vulnerability Types

CVSS Score
4.3
Confidentiality Impact None (There is no impact to the confidentiality of the system.)
Integrity Impact None (There is no impact to the integrity of the system)
Availability Impact Partial (There is reduced performance or interruptions in resource availability.)
Access Complexity Medium (The access conditions are somewhat specialized. Some preconditions must be satistified to exploit)
Authentication Not required (Authentication is not required to exploit the vulnerability.)
Gained Access None
Vulnerability Type(s) Denial Of Service
CWE ID CWE id is not defined for this vulnerability

- Vendor Statements

Not vulnerable. This issue did not affect the versions of libpng and libpng10 as shipped with Red Hat Enterprise Linux 2.1, 3, 4, or 5.
Source: Redhat

- Products Affected By CVE-2007-5268

# Product Type Vendor Product Version Update Edition Language
1 Application Libpng Libpng 1.0.28 Version Details Vulnerabilities
2 Application Libpng Libpng 1.2.20 Version Details Vulnerabilities

- Number Of Affected Versions By Product

Vendor Product Vulnerable Versions
Libpng Libpng 2

- References For CVE-2007-5268

http://lists.apple.com/archives/security-announce/2008/Mar/msg00001.html
APPLE APPLE-SA-2008-03-18
http://lists.apple.com/archives/security-announce/2008//May/msg00001.html
APPLE APPLE-SA-2008-05-28
http://docs.info.apple.com/article.html?artnum=307562 CONFIRM
http://bugs.gentoo.org/show_bug.cgi?id=195261 CONFIRM
http://android-developers.blogspot.com/2008/03/android-sdk-update-m5-rc15-released.html CONFIRM
http://slackware.com/security/viewer.php?l=slackware-security&y=2007&m=slackware-security.520323
SLACKWARE SSA:2007-325-01
http://sunsolve.sun.com/search/document.do?assetkey=1-66-259989-1
SUNALERT 259989
http://sourceforge.net/mailarchive/message.php?msg_name=5122753600C3E94F87FBDFFCC090D1FF0400EBC5%40MERCMBX07.na.sas.com
MLIST [png-mng-implement] 20070911 FW: Compiler warnings for pngrtran.c
http://www.coresecurity.com/?action=item&id=2148
http://support.avaya.com/elmodocs2/security/ASA-2009-208.htm CONFIRM
http://sunsolve.sun.com/search/document.do?assetkey=1-77-1020521.1-1
SUNALERT 1020521
http://www.gentoo.org/security/en/glsa/glsa-200711-08.xml
GENTOO GLSA-200711-08
http://www.vupen.com/english/advisories/2007/3390
VUPEN ADV-2007-3390
http://www.ubuntu.com/usn/usn-538-1
UBUNTU USN-538-1
http://www.securityfocus.com/bid/25956
BID 25956 Libpng Library Multiple Remote Denial of Service Vulnerabilities Release Date:2012-10-01
http://www.securityfocus.com/archive/1/archive/1/489135/100/0/threaded
BUGTRAQ 20080304 CORE-2008-0124: Multiple vulnerabilities in Google's Android SDK
http://www.securityfocus.com/archive/1/archive/1/483582/100/0/threaded
BUGTRAQ 20071112 FLEA-2007-0065-1 libpng
http://www.mandriva.com/security/advisories?name=MDKSA-2007:217
MANDRIVA MDKSA-2007:217
http://www.gentoo.org/security/en/glsa/glsa-200805-07.xml
GENTOO GLSA-200805-07
http://www.vupen.com/english/advisories/2008/0924/references
VUPEN ADV-2008-0924
http://www.vupen.com/english/advisories/2008/1697
VUPEN ADV-2008-1697
http://www.vupen.com/english/advisories/2009/1462
VUPEN ADV-2009-1462
http://www.vupen.com/english/advisories/2009/1560
VUPEN ADV-2009-1560
https://issues.rpath.com/browse/RPL-1814 CONFIRM
http://www.us-cert.gov/cas/techalerts/TA08-150A.html
CERT TA08-150A
http://sourceforge.net/mailarchive/message.php?msg_name=e56ccc8f0709140846k24e9a040r81623783b6b1c00f%40mail.gmail.com
MLIST [png-mng-implement] 20070914 libpng-1.0.29beta1 and libpng-1.2.21beta1
http://sourceforge.net/mailarchive/forum.php?thread_name=3.0.6.32.20071004082318.012a7628%40mail.comcast.net&forum_name=png-mng-implement
MLIST [png-mng-implement] 20071004 Libpng-1.2.21 and libpng-1.0.29 released

- Metasploit Modules Related To CVE-2007-5268

There are not any metasploit modules related to this CVE entry (Please visit www.metasploit.com for more information)


CVE is a registred trademark of the MITRE Corporation and the authoritative source of CVE content is MITRE's CVE web site. CWE is a registred trademark of the MITRE Corporation and the authoritative source of CWE content is MITRE's CWE web site. OVAL is a registered trademark of The MITRE Corporation and the authoritative source of OVAL content is MITRE's OVAL web site.
Use of this information constitutes acceptance for use in an AS IS condition. There are NO warranties, implied or otherwise, with regard to this information or its use. Any use of this information is at the user's risk. It is the responsibility of user to evaluate the accuracy, completeness or usefulness of any information, opinion, advice or other content. EACH USER WILL BE SOLELY RESPONSIBLE FOR ANY consequences of his or her direct or indirect use of this web site. ALL WARRANTIES OF ANY KIND ARE EXPRESSLY DISCLAIMED. This site will NOT BE LIABLE FOR ANY DIRECT, INDIRECT or any other kind of loss.